#!/usr/bin/env python
# -*- coding: utf-8 -*-
# ------------------------------------------------------------------------------
# glydget - an OpenGL widget toolkit
# Copyright (c) 2009 - Nicolas P. Rougier
#
# This file is part of glydget.
#
# glydget is free software: you can  redistribute it and/or modify it under the
# terms of  the GNU General  Public License as  published by the  Free Software
# Foundation, either  version 3 of the  License, or (at your  option) any later
# version.
#
# glydget is  distributed in the hope that  it will be useful,  but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy  of the GNU General Public License along with
# glydget. If not, see <http://www.gnu.org/licenses/>.
# -----------------------------------------------------------------------------
''' Test horizontal box. '''


if __name__ == '__main__':
    import pyglet
    pyglet.options['debug_gl'] = False
    import pyglet.gl as gl
    import glydget

    window = pyglet.window.Window(512,512,vsync=0)
    fps_display = pyglet.clock.ClockDisplay()
    pyglet.clock.schedule(lambda dt: None)
    gl.glEnable(gl.GL_BLEND)
    gl.glBlendFunc(gl.GL_SRC_ALPHA, gl.GL_ONE_MINUS_SRC_ALPHA)


    items=[]
    for i in range(3):
        if i > 0:
            label = glydget.Label('Item %d' % (i+1))
        else:
            label = glydget.Label('Very Long Item %d' % (i+1))            
        label._expand[0] = True
        label.focusable = True
        label.activable = True
        label.style = glydget.theme.debug
        items.append(label)
    box = glydget.HBox(items, homogeneous=False)
    box.style = glydget.theme.debug

    box.resize(400,2)

    box.show()
    box.move(window.width//2-box.width//2,
             window.height//2+box.height//2)
    window.push_handlers(box)

    @window.event
    def on_draw():
        window.clear()
        box.batch.draw()
        fps_display.draw()
    pyglet.app.run()

